> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/e-stamping/e-stamp-file.md).

# e-Stamp File

## POST /api/Public/FetcheStampFile/fetch

> Fetch e-stamp file

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"FetcheStampFile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.eStampRequestData":{"type":"object","properties":{"stampType":{"type":"integer","format":"int32"},"state":{"type":"string","nullable":true},"denomination":{"type":"integer","format":"int32"},"considerationAmount":{"type":"number","format":"double","nullable":true},"stampDuty":{"type":"number","format":"double","nullable":true},"base64PDF":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"templateId":{"type":"string","nullable":true},"templateFields":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.StampTemplateFieldValue"},"nullable":true},"propertyDescription":{"type":"string","nullable":true},"participants":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.eStampParticipant"},"nullable":true},"referenceNo":{"type":"string","nullable":true},"firstPartyName":{"type":"string","nullable":true},"secondPartyName":{"type":"string","nullable":true},"clientID":{"type":"string","nullable":true},"clientName":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.StampTemplateFieldValue":{"type":"object","properties":{"id":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.eStampParticipant":{"type":"object","properties":{"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"mobile":{"type":"string","nullable":true},"dateOfBirth":{"type":"string","nullable":true},"pan":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/FetcheStampFile/fetch":{"post":{"tags":["FetcheStampFile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.eStampRequestData"}}}},"responses":{"200":{"description":"OK"}},"summary":"Fetch e-stamp file","operationId":"post_FetcheStampFile_fetch"}}}}
```

## GET /api/Public/FetcheStampFile/shcil-subentity-name

> SHCIL subentity name

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"FetcheStampFile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/FetcheStampFile/shcil-subentity-name":{"get":{"tags":["FetcheStampFile"],"responses":{"200":{"description":"OK"}},"summary":"SHCIL subentity name","operationId":"get_FetcheStampFile_shcil_subentity_name"}}}}
```
